Skip to content

Detach Security Group

DELETE
/notebooks/{Instance_id}/security-groups/{security_group_id}/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/security-groups/{security_group_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Removes a Security Group from the Instance or Virtual Machine. The last group cannot be removed while SSH keys are attached: “At least one security group must be attached to the node when SSH is enabled.”

Instance_id
required
integer

Instance ID

security_group_id
required
integer

Security Group ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Security group removed successfully

Media typeapplication/json
object
code
integer
data
string
errors
object
message
string

Example

{
"code": 200,
"data": "Security group removal successful",
"errors": {},
"message": "Success"
}